program concentration_2D

  ! Utilisation du module m_type
  use m_type

  implicit none

  ! DECLARATIONS
  type(phys) :: p
  type(num)  :: n
  real, dimension(:)  , allocatable :: x_reg, y_reg
  real, dimension(:,:), allocatable :: C
  integer :: i,j

  ! INSTRUCTIONS
  call read_data(p,n)
  allocate(x_reg(n%nx),y_reg(n%ny),C(n%nx,n%ny))
  call mesh(p,n,x_reg,y_reg)
  call C_init(p,n,x_reg,y_reg,C)
  do j=n%ny,1,-1
    write(*,'(100F6.2)')(C(i,j),i=1,n%nx)
  end do
  deallocate(x_reg,y_reg,C)

end program concentration_2D
